# Concept definition
[Wikipedia's definition: ](https://en.wikipedia.org/wiki/Cluster_analysis) 
> **Clustering** is the task of grouping a set of objects in such a way that objects in the same group (called a cluster) are more similar (in some sense) to each other than to those in other groups (clusters). 

>It is a main task of exploratory data analysis, and a common technique for statistical data analysis, used in many fields, including pattern recognition, image analysis, information retrieval, bioinformatics, data compression, computer graphics and machine learning.



## Intuition

Assume your customers' total basket is distributed as below :arrow_down::  

![total_basket_distribution_2_groups.png](xons0CjfSOxf)

You can distinguish here :arrow_up: that we have two main groups of customers, one spending less (left bell curve) than the other (right bell curve).

The intuition behind a clustering model is that it will be able to separate computationally our data into homogeneous groups.


## Example

Applying a KMeans ([What is KMeans ?](article:21)) with 2 clusters on your data, we would get the following result :arrow_down::

![total_basket_distribution_2_groups_kmeans.png](Gt3NAIz6gj6E)

You can see that the KMeans :arrow_up: separates each of the two groups.


