# Section presentation

![dataiku_app_rfm.png](Dl29DWNuj7N7)

# Section interactions
 
## Reference period
![dku_app_reference_period.png](tSJSxeD9lQrT)
This section lets you define the period of time that you will use in order to learn the customer's RFM scoring method.
You will here have to define this period using dates filtering strategies ([What are dates filtering strategies ?](article:43)).


## Computation
![dku_app_rfm_computation_method.png](mSyuUvLjtqxZ)
You are here invited to:
- Choose the computation method used to learn customer RFM scoring. You will have to choose between several approaches, each of them leveraging the distribution of the columns get from customer's purchasing behavior aggregations *(days since their last transaction, total number oftransactions, total revenue generated, total number of items purchased)*:
    - "Quantiles" (default value)
    - "KMeans clustering"
    -  "Business rules and quantiles"
    - "Business rules and KMeans clustering"
    - "Business rules only"
    - ([What is the difference between the 'Quantiles' and the 'KMeans' methods ?](article:14))

- Choose the monetary value scoring policy: This only consists in choosing to segment customers depending on their total basket amount (default value) or their average basket amount. 

## Segments labeling
![segments_labeling.png](dlx7m5CdsLev)
You can here set how you want to label the customer segments:
- First, choose if you want to segment customers based on:
    - "Recency and Frequency only"
    - "Recency, Frequency and Monetary value"
-  Then, depending on your strategy, you can edit the mapping between R, F, and/or M scores and the final segment labels: 
    - Choose 'Edit 'Recency and Frequency' segment labels' if you previously chose to label customers based on  'Recency and Frequency only'.
    - Choose 'Edit 'Recency, Frequency and Monetary value' segment labels' if you previously chose to label customers based on  'Recency, Frequency and Monetary value'.


## Business rules
![business_rules.png](35saUfRiP7En)
You can interact with this section if you previously chose to leverage business rules to compute the RFM. 
-  First, select the scopes where you want to add your own business rules. You will have the choice between:
    - 'Recency computation'
    - 'Frequency computation'
    - 'Monetary Value computation'
- Then, depending on your previous selection, edit the relevant business rules.


## Assess RFM on the reference period
![dku_app_assess_rfm_on_reference_period.png](8vw3GvkUEeP1)

Clicking on this button will trigger a DSS scenario that will start jobs building all datasets needed to assess customers' RFM on the reference period. 

## View RFM segmentation dashboard
![dku_app_view_rfm_segmentation_dashboard.png](jRUSAEJByXOs)

Clicking on this link will direct you toward the [RFM Segmentation dashboard](dashboard:V3bvyr2). 
- [Learn more about this dashboard](article:46).


